# Uses of Interface
org.apache.sysds.runtime.instructions.ooc.OOCStreamable

Packages that use OOCStreamable
Package
Description
org.apache.sysds.runtime.controlprogram.caching
org.apache.sysds.runtime.instructions.ooc
org.apache.sysds.runtime.ooc.stream

## Uses of OOCStreamable in org.apache.sysds.runtime.controlprogram.caching

Methods in org.apache.sysds.runtime.controlprogram.caching that return OOCStreamable
Modifier and Type
Method
Description
`OOCStreamable<IndexedMatrixValue>`
CacheableData.`getStreamable()`
Methods in org.apache.sysds.runtime.controlprogram.caching with parameters of type OOCStreamable
Modifier and Type
Method
Description
`void`
CacheableData.`setStreamHandle(OOCStreamable<IndexedMatrixValue> q)`

## Uses of OOCStreamable in org.apache.sysds.runtime.instructions.ooc

Subinterfaces of OOCStreamable in org.apache.sysds.runtime.instructions.ooc
Modifier and Type
Interface
Description
`interface`
`OOCStream<T>`
Classes in org.apache.sysds.runtime.instructions.ooc that implement OOCStreamable
Modifier and Type
Class
Description
`class`
`CachingStream`
A wrapper around LocalTaskQueue to consume the source stream and reset to consume again for other operators.
`class`
`PlaybackStream`
`class`
`SubscribableTaskQueue<T>`
Methods in org.apache.sysds.runtime.instructions.ooc with parameters of type OOCStreamable
Modifier and Type
Method
Description
`static void`
TeeOOCInstruction.`incrRef(OOCStreamable<IndexedMatrixValue> stream, int incr)`
Increments the reference counter of a stream by the set amount.
`static void`
OOCWatchdog.`registerOpen(String id, String desc, String context, OOCStreamable<?> stream)`

## Uses of OOCStreamable in org.apache.sysds.runtime.ooc.stream

Classes in org.apache.sysds.runtime.ooc.stream that implement OOCStreamable
Modifier and Type
Class
Description
`class`
`FilteredOOCStream<T>`
`class`
`MergedOOCStream<T>`
`class`
`SourceOOCStream`
`class`
`SourceOOCStreamable`
`class`
`SplittingOOCStream<T>`
`class`
`SubOOCStream<T>`